import { Config } from 'tailwindcss';
function generateSizes(scale = 4) {
  const sizes = {};
  for (let i = 1; i <= 1000; i++) {
    sizes[i] = `${i * scale}px`; // 动态生成规则，例如 w-100 = 400px
  }
  return sizes;
}
const config: Config = {
  content: [
    './index.html',
    './src/**/*.{vue,js,ts,jsx,tsx}', // 扫描的文件路径
  ],
  theme: {
    extend: {
      width: generateSizes(4), // 设置宽度，每单位 = scale * px
      height: generateSizes(4), // 设置高度，每单位 = scale * px
    }, // 自定义扩展
  },
  plugins: [],
};

export default config;
